=== debian/changelog ===
alembic-graphics (1.8.8-2) unstable; urgency=medium

  * Initial release into Debian (Closes: #1111946)

 -- Dima Kogan <dkogan@debian.org>  Thu, 16 Oct 2025 00:28:36 -0700
