=== debian/control ===
Source: alembic-graphics
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dima Kogan <dkogan@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libimath-dev,
               libhdf5-mpi-dev | libhdf5-dev
Standards-Version: 4.6.0
Homepage: https://www.alembic.io
Vcs-Git: https://salsa.debian.org/science-team/alembic-graphics.git
Vcs-Browser: https://salsa.debian.org/science-team/alembic-graphics

Package: libalembic-graphics1.8
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Alembic is an open computer graphics interchange framework
 Alembic distills complex, animated scenes into a non-procedural,
 application-independent set of baked geometric results. This "distillation" of
 scenes into baked geometry is exactly analogous to the distillation of lighting
 and rendering scenes into rendered image data.
 .
 Alembic is focused on efficiently storing the computed results of complex
 procedural geometric constructions. It is very specifically NOT concerned with
 storing the complex dependency graph of procedural tools used to create the
 computed results. For example, Alembic will efficiently store the animated
 vertex positions and animated transforms that result from an arbitrarily
 complex animation and simulation process which could involve enveloping,
 corrective shapes, volume-preserving simulations, cloth and flesh simulations,
 and so on. Alembic will not attempt to store a representation of the network of
 computations (rigs, basically) which are required to produce the final,
 animated vertex positions and animated transforms.
 .
 This package contains the runtime libraries

Package: alembic-graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libalembic-graphics1.8 (= ${binary:Version})
Description: Alembic is an open computer graphics interchange framework
 Alembic distills complex, animated scenes into a non-procedural,
 application-independent set of baked geometric results. This "distillation" of
 scenes into baked geometry is exactly analogous to the distillation of lighting
 and rendering scenes into rendered image data.
 .
 Alembic is focused on efficiently storing the computed results of complex
 procedural geometric constructions. It is very specifically NOT concerned with
 storing the complex dependency graph of procedural tools used to create the
 computed results. For example, Alembic will efficiently store the animated
 vertex positions and animated transforms that result from an arbitrarily
 complex animation and simulation process which could involve enveloping,
 corrective shapes, volume-preserving simulations, cloth and flesh simulations,
 and so on. Alembic will not attempt to store a representation of the network of
 computations (rigs, basically) which are required to produce the final,
 animated vertex positions and animated transforms.
 .
 This package contains the commandline tools

Package: libalembic-graphics-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libalembic-graphics1.8 (= ${binary:Version}),
         libimath-dev,
         libhdf5-mpi-dev | libhdf5-dev
Description: Alembic is an open computer graphics interchange framework
 Alembic distills complex, animated scenes into a non-procedural,
 application-independent set of baked geometric results. This "distillation" of
 scenes into baked geometry is exactly analogous to the distillation of lighting
 and rendering scenes into rendered image data.
 .
 Alembic is focused on efficiently storing the computed results of complex
 procedural geometric constructions. It is very specifically NOT concerned with
 storing the complex dependency graph of procedural tools used to create the
 computed results. For example, Alembic will efficiently store the animated
 vertex positions and animated transforms that result from an arbitrarily
 complex animation and simulation process which could involve enveloping,
 corrective shapes, volume-preserving simulations, cloth and flesh simulations,
 and so on. Alembic will not attempt to store a representation of the network of
 computations (rigs, basically) which are required to produce the final,
 animated vertex positions and animated transforms.
 .
 This package contains the development files
