=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem cmake

# I want to use pyalembic, but the build doesn't work with it at the moment. It
# has ALEMBIC_PYILMBASE_PYIMATH_LIB="Imath::PyImath_Python3_13". This is string
# variable, but the build tries using it as a target: using it in
# get_target_property() and target_link_libraries(). So I don't bother
#
# CMAKE_INSTALL_PREFIX=/usr is required to make the libraries go to
# /usr/lib/ARCH. Otherwise INCLUDE(GNUInstallDirs) does something else
override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DUSE_ARNOLD=OFF \
		-DUSE_BINARIES=ON \
		-DUSE_EXAMPLES=OFF \
		-DUSE_HDF5=ON \
		-DUSE_MAYA=OFF \
		-DUSE_PRMAN=OFF \
		-DUSE_PYALEMBIC=OFF \
		-DUSE_STATIC_BOOST=OFF \
		-DUSE_STATIC_HDF5=OFF \
		-DUSE_TESTS=ON \
		-DALEMBIC_BUILD_LIBS=ON \
		-DALEMBIC_ILMBASE_LINK_STATIC=OFF \
		-DALEMBIC_SHARED_LIBS=ON
