=== debian/watch ===
version=4
opts=\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/alembic-$1\.tar\.gz/ \
 https://github.com/alembic/alembic/tags .*/v?(\d\S+)\.tar\.gz
